From 4e8c49ada4c758bc179defebc1022c386c367e7f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 23:53:23 +0000
Subject: [PATCH 1364/2232] Prefer typename consistently where supported by c++11


---

diff --git a/include/cxx.h b/include/cxx.h
index 7dfbbca..aaafc3b 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -180,7 +180,7 @@ public:
   void reserve(size_t new_cap);
   void push_back(const T &value);
   void push_back(T &&value);
-  template <class... Args>
+  template <typename... Args>
   void emplace_back(Args &&... args);
 
   class const_iterator final {
@@ -299,11 +299,11 @@ struct IsRelocatable;
 // Snake case aliases for use in code that uses this style for type names.
 using string = String;
 using str = Str;
-template <class T>
+template <typename T>
 using slice = Slice<T>;
-template <class T>
+template <typename T>
 using box = Box<T>;
-template <class T>
+template <typename T>
 using vec = Vec<T>;
 using error = Error;
 template <typename Signature, bool Throws = false>

